Skip to content
storefronts / Email verification
GET/verify-email

List Verify Email

Verifies a storefront user's email from the verification link and activates the account.

GET

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Permissions

  • No authentication required; the verification token and project id in the link authorize the request.

Headers

Path Parameters

Query Parameters

NameRequiredTypeDetails
tokenNostring
Description: Text value.
projectNostring
Description: Text value.
intentNostring
Description: Text value.
return_toNostring
Description: Text value.

Request Body

Response Body

Example 200 response

json
{
  "logged_in": "string",
  "id": 1,
  "email": "user@example.com",
  "attributes": []
}

Errors

400 bad_request400 BAD_REQUEST404 NOT_FOUND500 INTERNAL_SERVER_ERROR

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified